/* =========================
   MODAL
========================= */

.image-modal {

    position: fixed;

    inset: 0;

    background: rgba(0, 0, 0, .9);

    display: flex;
    justify-content: center;
    align-items: center;

    z-index: 9999;

    opacity: 0;
    visibility: hidden;

    transition: .3s;
}

.image-modal.active {
    opacity: 1;
    visibility: visible;
}

.image-modal img {

    max-width: 90%;
    max-height: 90%;

    border-radius: 12px;

    animation: zoomIn .3s ease;
}

.close-modal {

    position: absolute;

    top: 20px;
    right: 30px;

    color: #fff;

    font-size: 40px;

    cursor: pointer;
}

@keyframes zoomIn {

    from {
        transform: scale(.8);
        opacity: 0;
    }

    to {
        transform: scale(1);
        opacity: 1;
    }
}